# Introduction
This script helps to send a text displayed in OpenLP into OBS Studio.

# Usage
## Options

`--openlp host:port` sets host and port of OpenLP. Please make sure the Remote plugin is enabled.

`--obsws host:port:source` sets the destination host, port, and the source name of your text.
Please install [obs-websocket](https://github.com/Palakis/obs-websocket) plugin into your OBS Studio.

`--ja-defaults` enables some filters to uniquify Japanese such as converting zenkaku to hankaku.

`--pango` enables pango markup.
This option assumes the destination source is [obs-text-pthread](https://github.com/norihiro/obs-text-pthread).

For other options, please see help text from `--help`.

## Example
```
python3 ./olp2obs.py \
	--openlp 127.0.0.1:4316 \
	--obsws 127.0.0.1:4444:text-source \
	--ja-defaults
```

# Requirements
Python 3.6 or later is recommended.
Please install these packages with `pip`.
```
aiohttp
asyncio
websockets
simpleobsws
```
