#! /bin/env python3
# -*- coding: utf-8 -*-

import simpleobsws

class Text2Obs:
	def __init__(self, host, port, password=None):
		self.host = host
		self.port = port
		self.password = password
		self.ws = None

	async def connect(self):
		try:
			import simpleobsws
		except ModuleNotFoundError:
			import sys
			sys.stderr.write('Error: This script requires a module simpleobsws (https://github.com/IRLToolkit/simpleobsws).\n')
			sys.exit(1)
		self.ws = simpleobsws.obsws(host=self.host, port=self.port, password=self.password, loop=self.loop)
		await self.ws.connect()

	async def send(self, text):
		if not self.ws:
			await self.connect()
		req = 'SetSourceSettings'
		if not text or len(text)==0:
			text = ' '
		data = {'sourceName': self.sourceName, 'sourceSettings': {'text': text}}
		print('req=%s data=%s'%(req, data))
		retry = 2
		while retry > 0:
			try:
				res = await self.ws.call(req, data)
				if res['status']!='ok':
					raise ValueError(res)
				return
			except:
				try:
					await self.ws.disconnect()
				except:
					pass
				try:
					await self.ws.connect()
				except:
					self.ws = None
					await self.connect()
				retry -= 1
